Get Usages

Prev Next
Get
/v1/usages

Read sub-account usages within the permissions of the user.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Query parameters
page
integer

Page number

size
integer

Number of items per page

governanceAccountId
integer

Filter by Governance Account ID

controlAccountId
integer

Filter by Control Account ID

subAccountId
integer

Filter by Sub-Account ID

latest
boolean

Retrieve only the latest usage

from
string (date)

Start date (YYYY-MM-DD)

to
string (date)

End date (YYYY-MM-DD)

wasabiAccountNumber
integer

Filter by Wasabi account number

Responses
200

Successfully retrieved usages

{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "123457",
        "startTime": "2024-01-15",
        "endTime": "2024-01-15",
        "activeStorage": "1.234567",
        "deletedStorage": "0.012345",
        "storageWrote": "0.056789",
        "storageRead": "0.023456",
        "activeObjects": "150000",
        "deletedObjects": "2000",
        "egress": "0.5",
        "ingress": "2026-01-02T00:00:00Z",
        "apiCalls": "150000",
        "subAccountId": "54321",
        "subAccountName": "Sample Sub-Account",
        "subAccountEmail": "subaccount@example.com",
        "channelAccountId": "9876",
        "channelAccountName": "Sample Channel Account",
        "channelAccountEmail": "channel@example.com",
        "controlAccountId": "13337",
        "controlAccountName": "Sample Control Account",
        "controlAccountEmail": "control@example.com",
        "governanceAccountId": "3214",
        "governanceAccountName": "Sample Governance",
        "wasabiAccountNumber": "100123456"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
Expand All
object
success
boolean
data
object
items
Array of object (SubAccountUsageResponse)
object
id
integer
startTime
string (date)
endTime
string (date)
activeStorage
number

Active storage in TB

deletedStorage
number

Deleted storage in TB

storageWrote
number

Storage written in TB

storageRead
number

Storage read in TB

activeObjects
integer
deletedObjects
integer
egress
number

Egress in GB

ingress
number

Ingress in GB

apiCalls
integer
subAccountId
integer
subAccountName
string
subAccountEmail
string
channelAccountId
integer
channelAccountName
string
channelAccountEmail
string
controlAccountId
integer
controlAccountName
string
controlAccountEmail
string
governanceAccountId
integer
governanceAccountName
string
wasabiAccountNumber
integer
page
integer
size
integer
total
integer